| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# EqSolver::EqSolverMisc Class Reference

`#include <EqSolver.h>`

Collaboration diagram for EqSolver::EqSolverMisc:

[legend]
List of all members.

## Detailed Description

Definition at line 52 of file EqSolver.h.

## Public Member Functions
| EqSolverMisc (const Equations &funcs, Arg &arg)
| standard construictor
| ~EqSolverMisc ()
const Arg & | argument () const
Arg & | argument ()
const Equations * | equations () const
const Jacobi & | jacobi () const
## Private Member Functions
| EqSolverMisc ()
| EqSolverMisc (const EqSolverMisc &)
EqSolverMisc & | operator= (const EqSolverMisc &)
## Private Attributes
Arg | m_argum
const Equations * | m_eqs
Jacobi | m_jac

## Constructor & Destructor Documentation

EqSolver::EqSolverMisc::EqSolverMisc | ( | const Equations & | funcs,
|  | Arg & | arg |
| ) |  |  |

standard construictor

EqSolver::EqSolverMisc::~EqSolverMisc | ( |  | ) |

Definition at line 57 of file EqSolver.cpp.

    00058 {
    00059   while( !m_jac.empty() )
    00060     {
    00061       Equations& last = m_jac.back() ;
    00062       while( !last.empty() )
    00063         {
    00064           delete last.back() ;
    00065           last.pop_back () ;
    00066         }
    00067       m_jac.pop_back();
    00068     }
    00069 };

EqSolver::EqSolverMisc::EqSolverMisc | ( |  | ) | `[private]`

EqSolver::EqSolverMisc::EqSolverMisc | ( | const EqSolverMisc & |  | ) | `[private]`

## Member Function Documentation

const Arg& EqSolver::EqSolverMisc::argument | ( |  | ) | const`[inline]`

Definition at line 63 of file EqSolver.h.

References m_argum.

Referenced by fdfun_gsl(), and fun_gsl().

    00063 { return m_argum   ; }

Arg& EqSolver::EqSolverMisc::argument | ( |  | ) | `[inline]`

Definition at line 64 of file EqSolver.h.

References m_argum.

    00064 { return m_argum   ; }

const Equations* EqSolver::EqSolverMisc::equations | ( |  | ) | const`[inline]`

Definition at line 65 of file EqSolver.h.

References m_eqs.

Referenced by fdfun_gsl(), and fun_gsl().

    00065 { return m_eqs     ; }

const Jacobi& EqSolver::EqSolverMisc::jacobi | ( |  | ) | const`[inline]`

Definition at line 66 of file EqSolver.h.

References m_jac.

Referenced by fdfun_gsl().

    00066 { return m_jac     ; }

EqSolverMisc& EqSolver::EqSolverMisc::operator= | ( | const EqSolverMisc & |  | ) | `[private]`

## Member Data Documentation

Arg EqSolver::EqSolverMisc::m_argum`[private]`

Definition at line 75 of file EqSolver.h.

Referenced by argument().

const Equations* EqSolver::EqSolverMisc::m_eqs`[private]`

Definition at line 76 of file EqSolver.h.

Referenced by equations().

Jacobi EqSolver::EqSolverMisc::m_jac`[private]`

Definition at line 77 of file EqSolver.h.

Referenced by jacobi().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/src/Components/EqSolver.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/src/Components/EqSolver.cpp